FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202108130208.p0.git.9ad2cf9.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202108130208.p0.git.9ad2cf9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9ad2cf9 OS_GIT_VERSION=4.8.0-202108130208.p0.git.9ad2cf9.assembly.stream-9ad2cf9 SOURCE_DATE_EPOCH=1628272559 SOURCE_GIT_COMMIT=9ad2cf906b9c0c44110401f121dc5cf7d657acca SOURCE_GIT_TAG=golang-github-prometheus-node_exporter-4.0.0-0.100.0-664-g9ad2cf9 SOURCE_GIT_URL=https://github.com/openshift/node_exporter 

WORKDIR /go/src/github.com/prometheus/node_exporter
COPY . .
RUN if yum install -y prometheus-promu; then export BUILD_PROMU=false; fi && make build

FROM openshift/base-rhel8:v4.8.0.20210813.021751
ENV __doozer=update BUILD_RELEASE=202108130208.p0.git.9ad2cf9.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202108130208.p0.git.9ad2cf9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9ad2cf9 OS_GIT_VERSION=4.8.0-202108130208.p0.git.9ad2cf9.assembly.stream-9ad2cf9 SOURCE_DATE_EPOCH=1628272559 SOURCE_GIT_COMMIT=9ad2cf906b9c0c44110401f121dc5cf7d657acca SOURCE_GIT_TAG=golang-github-prometheus-node_exporter-4.0.0-0.100.0-664-g9ad2cf9 SOURCE_GIT_URL=https://github.com/openshift/node_exporter 

COPY --from=builder /go/src/github.com/prometheus/node_exporter/node_exporter /bin/node_exporter

RUN yum install -y virt-what && yum clean all && rm -rf /var/cache/*
COPY text_collectors/virt.sh text_collectors/boots.sh /node_exporter/collectors/init/

EXPOSE      9100
USER        nobody
ENTRYPOINT  [ "/bin/node_exporter" ]

LABEL \
        io.k8s.display-name="Node Exporter" \
        io.k8s.description="Prometheus exporter for hardware and OS metrics exposed by *NIX kernels, written in Go with pluggable metric collectors" \
        io.openshift.tags="openshift,node" \
        summary="Prometheus exporter for machine metrics" \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-prometheus-node-exporter" \
        com.redhat.component="golang-github-prometheus-node_exporter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202108130208.p0.git.9ad2cf9.assembly.stream" \
        io.openshift.build.commit.id="9ad2cf906b9c0c44110401f121dc5cf7d657acca" \
        io.openshift.build.source-location="https://github.com/openshift/node_exporter" \
        io.openshift.build.commit.url="https://github.com/openshift/node_exporter/commit/9ad2cf906b9c0c44110401f121dc5cf7d657acca" \
        version="v4.8.0"

